// SPDX-License-Identifier: GPL-3.0-or-later
// Copyright © 2023 Thorsten Schubert <tschubert@bafh.org>

#ifndef LIBNOTIFY_H_
#define LIBNOTIFY_H_

#include <libnotify/notification.h>
#include <libnotify/notify.h>

namespace libnotify {

using NotifyNotification = ::NotifyNotification;
using GError = ::GError;
using GList = ::GList;
using gboolean = ::gboolean;
using gint = ::gint;

auto const free_error = ::g_error_free;
auto const free_g_obj = ::g_object_unref;
auto const init = ::notify_init;
auto const notification_new = ::notify_notification_new;
auto const notification_show = ::notify_notification_show;
auto const destroy = ::notify_uninit;
auto const initialized = ::notify_is_initted;

}  // namespace libnotify

#endif	// LIBNOTIFY_H_
